#
# Conditional build:
%bcond_without	doc	# Sphinx based documentation
%bcond_without	tests	# unit tests
#
Summary:	Foreign Function Interface for Python 3 calling C code
Summary(pl.UTF-8):	Interfejs funkcji obcych (FFI) dla Pythona 3 wywołującego kod w C
Name:		python3-cffi
Version:	1.16.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/cffi/
Source0:	https://files.pythonhosted.org/packages/source/c/cffi/cffi-%{version}.tar.gz
# Source0-md5:	0bcaed453da3004d0bea103038345c1e
URL:		http://cffi.readthedocs.org/
BuildRequires:	libffi-devel >= 3
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.8
BuildRequires:	python3-devel >= 1:3.8
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pycparser
BuildRequires:	python3-pytest
BuildRequires:	virtualenv
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python3-modules >= 1:3.8
Requires:	python3-pycparser
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Foreign Function Interface for Python calling C code. The aim of this
project is to provide a convenient and reliable way of calling C code
from Python without learning additional language or API.

This package contains Python 3 module.

%description -l pl.UTF-8
CFFI to interfejs funkcji obcych (FFI - foreign Function Interface) do
wywoływania kodu w C z Pythona. Celem projektu jest dostarczenie
wygodnego i wiarygodnego sposobu wywoływania kodu w C z Pythona bez
potrzeby nauki dodatkowego języka lub API.

Ten pakiet zawiera moduł Pythona 3.

%package apidocs
Summary:	API documentation for Python CFFI module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona CFFI
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python CFFI module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona CFFI.

%prep
%setup -q -n cffi-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd):$(echo $(pwd)/build-3/lib.linux-*) \
%{__python3} -m pytest src/c testing
%endif

%if %{with doc}
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-cffi
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README.md
%attr(755,root,root) %{py3_sitedir}/_cffi_backend.cpython-*.so
%dir %{py3_sitedir}/cffi
%{py3_sitedir}/cffi/_cffi_errors.h
%{py3_sitedir}/cffi/_cffi_include.h
%{py3_sitedir}/cffi/_embedding.h
%{py3_sitedir}/cffi/parse_c_type.h
%{py3_sitedir}/cffi/*.py
%{py3_sitedir}/cffi/__pycache__
%{py3_sitedir}/cffi-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/build/html/{_static,*.html,*.js}
%endif
%changelog
* Tue Nov 21 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-cffi.git;a=log;h=master

* Tue Nov 21 2023 Jan Palus <atler@pld-linux.org> d0755e4
- cffi is python3 only now

* Tue Nov 21 2023 Jan Palus <atler@pld-linux.org> 7a1baee
- update path in tests

* Tue Nov 21 2023 Jan Palus <atler@pld-linux.org> 3454a6e
- up to 1.16.0

* Mon Feb 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 1d3f556
- release 2 (libffi 3.4.x)

* Sun Sep 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 27602e8
- updated to 1.15.1

* Mon Apr 04 2022 Jan Palus <atler@pld-linux.org> e05ff55
- rpm version for noarch subpackage

* Mon Apr 04 2022 Jan Palus <atler@pld-linux.org> 86550b3
- BR: python-setuptools

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> fe27a42
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0e86cf1
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 86ca9d4
- rebuild with python 3.10

* Mon Mar 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 2975fae
- updated to 1.15.0

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 9215f18
- rebuild with separate debuginfo build-ids

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> c3b8377
- unconditional noarch subpackages

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 61cf8ed
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> d4a5f05
- release 2 (by relup.sh)

* Sun Jan 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 89bb58d
- updated to 0.14.4

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 597fd90
- really rebuild with libffi 3.3
- release 3 (by relup.sh)

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 7e689f1
- rebuild with libffi 3.3
- release 2 (by relup.sh)

* Tue Mar 17 2020 Jakub Bogusz <qboosh@pld-linux.org> d0edb0b
- updated to 1.14.0

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> 1069a71
- updated to 1.13.2

